// created  : Fri Mar 08 02:10:30 2002
// argument : tashia
// source   : override/tashia.dlg
// game     : .
// using    : ./dialog.tlk
// tashia   : 23 states, 35 trans, 2 state-trigs, 6 trans-trigs, 7 actions

BEGIN tashia

IF ~Global("TashiaSummoned","GLOBAL",1)~ THEN BEGIN tob0 // from:
  SAY ~Well, hello again, <CHARNAME>. Where.. am I, exactly?~
  IF ~~ THEN REPLY ~Oh, it's a pocket plane of my own. Do you like it?~ /* #65346 */ DO ~SetGlobal("TashiaSummoned","GLOBAL",2)~ GOTO tob1
END

IF ~~ THEN BEGIN tob1 // from: 0.1 0.0
  SAY ~Rather gloomy, isn't it?~
  IF ~~ THEN REPLY ~It's dark and peaceful!~ /* #65350 */ GOTO tob3
  IF ~~ THEN REPLY ~Perhaps somewhat. I need your help, Tashia.~ /* #65351 */ GOTO tob2
END

IF ~~ THEN BEGIN tob2
  SAY ~Ah, the usual, huh? Alrighty. Shall I join your party then?~
  IF ~~ THEN REPLY ~That would help, yes.~ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY ~Not at the moment. Wait here please.~ GOTO tob4
END

IF ~~ THEN BEGIN tob3 // from: 1.1 1.0
  SAY ~Right. So, what did you bring me out here for, anyway?~
  IF ~~ THEN REPLY ~I need your help.~ GOTO tob2
  IF ~~ THEN REPLY ~Nothing, just saying 'hi'.~ /* #65359 */ GOTO tob5
END

IF ~~ THEN BEGIN tob4 // from: 6.1 3.2 2.1
  SAY ~Hmm... great. Just what I always wanted - to be stuck in a place with no apparent exit, a funny looking imp, and no ale.~
  IF ~~ THEN DO ~MoveToPointNoInterrupt([2212.1349])
Face(14)~ EXIT
END

IF ~~ THEN BEGIN tob5 // from: 3.0
  SAY ~Oh. Hello! Hehe. Can you send me back now?~ /* #65361 */
  IF ~~ THEN REPLY ~I'm afraid I don't know how...~ GOTO tob6
END

IF ~~ THEN BEGIN tob6 // from: 5.0
  SAY ~Splendid! So, now what?~
  IF ~~ THEN REPLY ~Well, you can accompany me, if you wish.~ GOTO tob7
  IF ~~ THEN REPLY ~Wait here, please.~ /* #65365 */ GOTO tob4
END

IF ~~ THEN BEGIN tob7
  SAY ~Well, it's not like I seem to have a choice in this matter... lead on, <CHARNAME>.~
  IF ~~ THEN DO ~JoinParty()~ EXIT
END

IF ~Global("TashiaSummoned","GLOBAL",2)~ THEN BEGIN tob8 // from:
  SAY ~So you have returned. Are you in need of my services, then?~
  IF ~~ THEN REPLY ~Yes. Let's go.~ DO ~JoinParty()~ EXIT
  IF ~~ THEN REPLY ~Not yet. I'm just saying 'hi'.~ /* #65368 */ GOTO tob9
END

IF ~~ THEN BEGIN tob9 // from: 7.1
  SAY ~So I see. (must... resist... the urge... to break... something...)~ /* #65369 */
  IF ~~ THEN EXIT
END

IF ~Global("MetTashia","GLOBAL",0)
!Global("TashiaWontTalk","GLOBAL",1)~ THEN BEGIN 0 // from:
  SAY ~Greetings. You'll have to excuse me, fair <LADYLORD>, I am not in the talkative mood this eve... *sigh*~ /* #74173 */
  IF ~~ THEN REPLY ~May I ask what troubles you?~ /* #74196 */ DO ~SetGlobal("MetTashia","GLOBAL",1)~ /* #0 */GOTO 2
  IF ~~ THEN REPLY ~As you wish.~ /* #9749 */ DO ~SetGlobal("MetTashia","GLOBAL",1)~ /* #1 */EXIT
END

IF ~Global("MetTashia","GLOBAL",1)
!Global("TashiaWontTalk","GLOBAL",1)~ THEN BEGIN 1 // from:
  SAY ~*sigh* I see you insist on pestering me. Well, out with it, then. What is it you wish?~ /* #74174 */
  IF ~Global("TashiaStory1","GLOBAL",0)~ THEN REPLY ~May I ask what troubles you?~ /* #74197 */ GOTO 2
  IF ~Global("TashiaStory1","GLOBAL",1)~ THEN REPLY ~Well, I've been thinking about your story.~ /* #74198 */ GOTO 14
  IF ~~ THEN REPLY ~Actually, nevermind. Sorry to bother you.~ /* #74199 */ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.0 1.0
  SAY ~Ugh. Well, it's really no one's concern but mine. Personal matters... you understand, I'm sure.~ /* #74175 */
  IF ~~ THEN REPLY ~Well, perhaps if you tell me what's wrong, I can help?~ /* #74200 */ GOTO 3
  IF ~~ THEN REPLY ~Is this related to the troubles Trademeet experienced as of late?~ /* #74201 */ GOTO 10
  IF ~~ THEN REPLY ~Alright, sorry to bother you.~ /* #74202 */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 2.0
  SAY ~Hmm. Well...~ /* #74176 */
  IF ~~ THEN GOTO 4
END

IF ~~ THEN BEGIN 4 // from: 3.0
  SAY ~I'll just say that people change. Not always for the better...~ /* #74177 */
  IF ~~ THEN GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY ~I have recently parted with a... very dear friend, under circumstances I do not wish to discuss with strangers.~ /* #74178 */
  IF ~~ THEN GOTO 6
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY ~We had been adventuring together for many seasons, and the loss has touched me rather hard, as you can tell.~ /* #74179 */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY ~Time will cure all wounds, I suppose. So here I am, waiting for time to toss me a boon.~ /* #74180 */
  IF ~~ THEN GOTO 8
END

IF ~~ THEN BEGIN 8 // from: 7.0
  SAY ~You will find no valiant quests from me to dispatch armies of orcs threatening a town, or pleas for help to save my land from a terrorizing dragon, adventurer.~ /* #74181 */
  IF ~~ THEN GOTO 9
END

IF ~~ THEN BEGIN 9 // from: 8.0
  SAY ~Not exactly the story you were expecting, is it?~ /* #74182 */
  IF ~~ THEN REPLY ~Um, I...~ /* #74203 */ GOTO 12
END

IF ~~ THEN BEGIN 10 // from: 2.1
  SAY ~No, I have arrived here just recently myself. It has nothing to do with that, I assure you.~ /* #74183 */
  IF ~~ THEN GOTO 11
END

IF ~~ THEN BEGIN 11 // from: 10.0
  SAY ~You'll have to excuse me... I should finish my drink and get going.~ /* #74184 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 12 // from: 9.0
  SAY ~...sorry to disappoint you.~ /* #74185 */
  IF ~~ THEN REPLY ~Actually, I wasn't expecting anything like that.~ /* #74204 */ DO ~SetGlobal("TashiaStory1","GLOBAL",1)~ /* #2 */GOTO 14
  IF ~~ THEN REPLY ~Well, not exactly.~ /* #74205 */ DO ~SetGlobal("TashiaStory1","GLOBAL",1)~ /* #3 */GOTO 14
  IF ~~ THEN REPLY ~Um, I'll be going now.~ /* #74206 */ DO ~SetGlobal("TashiaStory1","GLOBAL",1)~ /* #4 */GOTO 13
END

IF ~~ THEN BEGIN 13 // from: 12.2 15.3
  SAY ~On your merry way, then!~ /* #74186 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from: 1.1 12.0 12.1
  SAY ~Right. Is there anything else I can do for you? I don't mean to sound offensive in any way, but I am trying to enjoy my stay here...~ /* #74187 */
  IF ~~ THEN GOTO 15
END

IF ~~ THEN BEGIN 15 // from: 14.0
  SAY ~...alone, if at all possible.~ /* #74188 */
  IF ~ReputationGT(Player1,9)~ THEN REPLY ~No, but perhaps there is something I could do for you.~ /* #74207 */ GOTO 19
  IF ~!ReputationGT(Player1,9)~ THEN REPLY ~No, but perhaps there is something I could do for you.~ /* #74208 */ GOTO 18
  IF ~~ THEN REPLY ~Would you like to join our group?~ /* #74209 */ GOTO 16
  IF ~~ THEN REPLY ~Actually, I have to get going.~ /* #74210 */ GOTO 13
END

IF ~~ THEN BEGIN 16 // from: 15.2
  SAY ~Um... I thank you kindly for the offer, but I think I will just stay here.~ /* #74189 */
  IF ~~ THEN GOTO 17
END

IF ~~ THEN BEGIN 17 // from: 16.0
  SAY ~Good luck to you, though.~ /* #74190 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 18 // from: 15.1
  SAY ~I doubt it. Please leave me be.~ /* #74191 */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19 // from: 15.0
  SAY ~And what would that be?~ /* #74192 */
  IF ~~ THEN REPLY ~I could kill you. It is said that death can cure the worst of afflictions!~ GOTO 19a
  IF ~~ THEN REPLY ~How about a drink to cheer you up? It's on me.~ GOTO 19b
  IF ~~ THEN REPLY ~I could take you with me. The road ahead would surely rub that frown off your fair face.~ GOTO 19c
END

IF ~~ THEN BEGIN 19a // from: 15.0
  SAY ~You and a dozen others... at this time, I really don't care. Do what you must...~ /* #74192 */
  IF ~~ THEN DO ~SetGlobal("TashiaWontTalk","GLOBAL",1)~ EXIT
END

IF ~~ THEN BEGIN 19b // from: 15.0
  SAY ~No, thank you.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19c // from: 15.0
  SAY ~(Tashia stands silently for a while, staring into a mug of ale in front of her)~
  IF ~~ THEN REPLY ~(say nothing)~ GOTO 19b
  IF ~~ THEN REPLY ~It would surely be more interesting than sitting in a pub drinking all by yourself.~ GOTO 19d
END

IF ~~ THEN BEGIN 19d // from: 15.0
  SAY ~(Tashia sighs and looks up at <GABBER>, doubt clearly expressed in her eyes)~
  IF ~~ THEN REPLY ~(say nothing)~ GOTO 19e1
  IF ~~ THEN REPLY ~You could give it a try, at the very least. The ale will always be here.~ GOTO 19f
END

IF ~~ THEN BEGIN 19e1 // from: 15.0
  SAY ~I thank you for the offer... but the adventuring road is just not for me. Not anymore. Excuse me, my <LADYLORD>.~
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 19f // from: 15.0
  SAY ~(Tashia nods in defeat and looks up at <GABBER>) Perhaps your words carry some merit. May I ask your name?~
  IF ~~ THEN REPLY ~I am <GABBER>.~ GOTO 20
END

IF ~~ THEN BEGIN 20 // from: 19.0
  SAY ~Well met, <GABBER>. I am Tashia. Do you have a destination picked out already, or are you merely travelling around in search of one?~ /* #74193 */
  IF ~GlobalLT("chapter","GLOBAL",4)~ THEN REPLY ~I have a goal to rescue a friend of mine, Imoen. She has been captured by the Cowled Wizards.~ /* #74211 */ GOTO 21
  IF ~GlobalLT("chapter","GLOBAL",7)~ THEN REPLY ~I am hunting a very powerful evil mage named Irenicus. ~ /* #58674 */ GOTO 21
  IF ~~ THEN REPLY ~I have no certain destination for now. Perhaps we shall encounter something soon.~ GOTO 22
END

IF ~~ THEN BEGIN 21 // from: 21.0
  SAY ~That sounds like a noble cause. I shall be more than happy to help. Lead on, <GABBER>.~ /* #74195 */
  IF ~~ THEN DO ~SetGlobal("TashiaJoined","GLOBAL",1)
JoinParty()~ /* #6 */EXIT
END

IF ~~ THEN BEGIN 22
  SAY ~Perhaps. Well, let us be off then, <GABBER>.~
  IF ~~ THEN DO ~SetGlobal("TashiaJoined","GLOBAL",1)
JoinParty()~ /* #6 */EXIT
END
